<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Interact/ActionTakeItemToHands.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/dbb/_action_take_item_to_hands_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionTakeItemToHands.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/dbb/_action_take_item_to_hands_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d1/d07/class_action_take_item_to_hands.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/d07/class_action_take_item_to_hands.html">ActionTakeItemToHands</a>: <a class="code hl_class" href="../../d0/d5b/class_action_interact_base.html">ActionInteractBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d1/d07/class_action_take_item_to_hands.html#ad65ad5298f338196f557ba3d060949f8">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d07/class_action_take_item_to_hands.html#ad65ad5298f338196f557ba3d060949f8">ActionTakeItemToHands</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a>        = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_PICKUP_HANDS;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#aff0b345c6a0a8469dfb7bc27365a11bd">m_CommandUIDProne</a>   = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_PICKUP_HANDS;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#take_to_hands&quot;</span>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    }</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d1/d07/class_action_take_item_to_hands.html#a3951e5d243b930961c8d19cf950a5674">   10</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d07/class_action_take_item_to_hands.html#a3951e5d243b930961c8d19cf950a5674">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d7c/class_c_c_i_none.html">CCINone</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../da/da5/class_c_c_t_object.html">CCTObject</a>(<a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">DEFAULT</a>);</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }   </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d1/d07/class_action_take_item_to_hands.html#a47ec027b9890a092c2ed2acf60df471d">   16</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d07/class_action_take_item_to_hands.html#a47ec027b9890a092c2ed2acf60df471d">HasProneException</a>()</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d1/d07/class_action_take_item_to_hands.html#a6777b74aba53847addc3116cecef7fc3">   21</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d1/d07/class_action_take_item_to_hands.html#a6777b74aba53847addc3116cecef7fc3">GetInputType</a>()</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../dd/d7f/class_continuous_interact_action_input.html">ContinuousInteractActionInput</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d1/d07/class_action_take_item_to_hands.html#ad7afefb6034a0a65abefb4e0cfc2a83b">   26</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d07/class_action_take_item_to_hands.html#ad7afefb6034a0a65abefb4e0cfc2a83b">HasProgress</a>()</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d1/d07/class_action_take_item_to_hands.html#a7ed6cad3ab49528b8b7bca39dbe29ef9">   31</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d07/class_action_take_item_to_hands.html#a7ed6cad3ab49528b8b7bca39dbe29ef9">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> tgt_item = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast( target.GetObject() );</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">if</span> ( !tgt_item )</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> tgt_parent = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast(tgt_item.GetHierarchyParent());</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">if</span> ( !tgt_item.<a class="code hl_function" href="../../de/d7a/class_item_base.html#ac305409027fa3bf997cd284f72994962">IsTakeable</a>() || tgt_item.IsBeingPlaced() || ( tgt_item.GetHierarchyParent() &amp;&amp; !<a class="code hl_class" href="../../dd/d90/class_base_building_base.html">BaseBuildingBase</a>.Cast(tgt_parent) ) || ((tgt_parent &amp;&amp; !tgt_item.<a class="code hl_function" href="../../de/d7a/class_item_base.html#a8e5514abc697470b14e82092d358a01a">CanDetachAttachment</a>(tgt_parent)) || (tgt_parent &amp;&amp; !tgt_parent.CanReleaseAttachment(tgt_item))) )</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">return</span> player.GetInventory().CanAddEntityIntoHands(tgt_item);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d1/d07/class_action_take_item_to_hands.html#aa7019dec76eaf66fce6c0c6690e9b35e">   43</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d07/class_action_take_item_to_hands.html#aa7019dec76eaf66fce6c0c6690e9b35e">CanContinue</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d1/d07/class_action_take_item_to_hands.html#ad4177dd4e52dbe5a7179cec53a5b3e52">   48</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d07/class_action_take_item_to_hands.html#ad4177dd4e52dbe5a7179cec53a5b3e52">OnExecute</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer() &amp;&amp; <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> ntarget = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject());</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <a class="code hl_function" href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c.html#a4e843c45fe1055bb1d71b0d70b34168e">ClearInventoryReservationEx</a>(action_data);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordtype">float</span> stackable = ntarget.GetTargetQuantityMax(-1);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">if</span> ( stackable == 0 || stackable &gt;= ntarget.GetQuantity() )</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.PredictiveTakeEntityToHands( ntarget );</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> il = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            il.<a class="code hl_function" href="../../d6/dc5/class_inventory_location.html#af5b971f773deb968c54cfb6ca66df780">SetHands</a>(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>, ntarget);</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            ntarget.SplitIntoStackMaxToInventoryLocationClient( il );</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../d1/d07/class_action_take_item_to_hands.html#aeb55678ac6274d7893373d68a36de290">   70</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d07/class_action_take_item_to_hands.html#aeb55678ac6274d7893373d68a36de290">CreateAndSetupActionCallback</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="comment">//Print(&quot;starting - CreateAndSetupActionCallback&quot;);</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> target = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject());</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <a class="code hl_class" href="../../dd/d7f/class_action_base_c_b.html">ActionBaseCB</a> callback;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">if</span> (!target)</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordflow">if</span> (target.IsHeavyBehaviour())</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            <span class="comment">//Print(&quot;heavybehaviour&quot;);</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(callback, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.StartCommand_Action(<a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_PICKUP_HEAVY,<a class="code hl_function" href="../../d7/d94/class_animated_action_base.html#a4d3d8e3324bd0f45c2283e7993740161">GetCallbackClassTypename</a>(),<a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ERECT));</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <span class="comment">//Print(&quot;else - SHOULD NOT BE HERE&quot;);</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            <span class="keywordflow">if</span>( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.IsPlayerInStance(<a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_CROUCH | <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ERECT) )</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>                <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(callback, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.AddCommandModifier_Action(<a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a>,<a class="code hl_function" href="../../d7/d94/class_animated_action_base.html#a4d3d8e3324bd0f45c2283e7993740161">GetCallbackClassTypename</a>()));</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>                <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(callback, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.StartCommand_Action(<a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#aff0b345c6a0a8469dfb7bc27365a11bd">m_CommandUIDProne</a>,<a class="code hl_function" href="../../d7/d94/class_animated_action_base.html#a4d3d8e3324bd0f45c2283e7993740161">GetCallbackClassTypename</a>(),<a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_PRONE));</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="comment">//Print(callback);</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        callback.<a class="code hl_function" href="../../dd/d7f/class_action_base_c_b.html#affb08096d736d3aa9ea188f07a22df39">SetActionData</a>(action_data); </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        callback.<a class="code hl_function" href="../../dd/d7f/class_action_base_c_b.html#a7d0aa081595a793f6f58696fadf203a7">InitActionComponent</a>();</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a3670327f6d411b07d3006af36d24510d">m_Callback</a> = callback;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../d1/d07/class_action_take_item_to_hands.html#a3f985517d8c0bb96d39746557ddf2277">  102</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d07/class_action_take_item_to_hands.html#a3f985517d8c0bb96d39746557ddf2277">CanBeUsedOnBack</a>()</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>};</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span> </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="../../dd/d56/class_action_swap_item_to_hands.html">  108</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/d56/class_action_swap_item_to_hands.html">ActionSwapItemToHands</a>: <a class="code hl_class" href="../../d1/d07/class_action_take_item_to_hands.html">ActionTakeItemToHands</a></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>{</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="../../dd/d56/class_action_swap_item_to_hands.html#af6f0c8622c1091e72960de72684d5e27">  110</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../dd/d56/class_action_swap_item_to_hands.html#af6f0c8622c1091e72960de72684d5e27">m_Executable</a>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../dd/d56/class_action_swap_item_to_hands.html#a6e0adacfc26b973b7f9e0636a7fe89c7">  112</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/d56/class_action_swap_item_to_hands.html#a6e0adacfc26b973b7f9e0636a7fe89c7">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> tgt_item = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast( target.GetObject() );</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <span class="keywordflow">if</span> ( !tgt_item || !tgt_item.<a class="code hl_function" href="../../de/d7a/class_item_base.html#ac305409027fa3bf997cd284f72994962">IsTakeable</a>() || tgt_item.IsBeingPlaced() )</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <span class="keywordflow">return</span> player.GetInventory().CanSwapEntitiesEx(tgt_item,item);</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    }</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../dd/d56/class_action_swap_item_to_hands.html#ad4a48af671751e7889bac412280fa37d">  121</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/d56/class_action_swap_item_to_hands.html#ad4a48af671751e7889bac412280fa37d">UseMainItem</a>()</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    {</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="../../dd/d56/class_action_swap_item_to_hands.html#a92ad0a809b49be711b380bbad096ff34">  126</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/d56/class_action_swap_item_to_hands.html#a92ad0a809b49be711b380bbad096ff34">MainItemAlwaysInHands</a>()</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../dd/d56/class_action_swap_item_to_hands.html#ad4c797bf2596fa25d63c17101e1218d7">  131</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d56/class_action_swap_item_to_hands.html#ad4c797bf2596fa25d63c17101e1218d7">CreateAndSetupActionCallback</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    {</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> target = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject());</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        <a class="code hl_class" href="../../dd/d7f/class_action_base_c_b.html">ActionBaseCB</a> callback;</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        <span class="keywordflow">if</span> (!target)</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <span class="keywordflow">if</span> (target.IsHeavyBehaviour())</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        {</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(callback, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.StartCommand_Action(<a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_PICKUP_HEAVY,<a class="code hl_function" href="../../d7/d94/class_animated_action_base.html#a4d3d8e3324bd0f45c2283e7993740161">GetCallbackClassTypename</a>(),<a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ERECT));</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        }</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        {</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        }</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        callback.<a class="code hl_function" href="../../dd/d7f/class_action_base_c_b.html#affb08096d736d3aa9ea188f07a22df39">SetActionData</a>(action_data); </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        callback.<a class="code hl_function" href="../../dd/d7f/class_action_base_c_b.html#a7d0aa081595a793f6f58696fadf203a7">InitActionComponent</a>();</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a3670327f6d411b07d3006af36d24510d">m_Callback</a> = callback;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    }</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="../../dd/d56/class_action_swap_item_to_hands.html#ad5b1fc49569a59bd101487391290a59c">  151</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d56/class_action_swap_item_to_hands.html#ad5b1fc49569a59bd101487391290a59c">Start</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    {</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        super.Start( action_data );</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        <span class="comment">//Print(&quot;action_data.m_Target.GetObject() + &quot; + action_data.m_Target.GetObject());</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        <span class="comment">//Print(&quot;action_data.m_MainItem + &quot; + action_data.m_MainItem);</span></div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        </div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <span class="keywordtype">bool</span> b1 = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.ConfigGetString(<span class="stringliteral">&quot;physLayer&quot;</span>) == <span class="stringliteral">&quot;item_large&quot;</span>;</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.m_ThrowItemOnDrop = b1; <span class="comment">//hack, should be redundant anyway</span></div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> <span class="keywordtype">object</span> = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject());</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <span class="keywordflow">if</span> (!<span class="keywordtype">object</span> || !<span class="keywordtype">object</span>.<a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a0724b1d75ad2e1994923111d10bb63cd">IsHeavyBehaviour</a>())</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        {</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetActionManager().Interrupt();</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        }</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>            <a class="code hl_variable" href="../../dd/d56/class_action_swap_item_to_hands.html#af6f0c8622c1091e72960de72684d5e27">m_Executable</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    }</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>    </div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno"><a class="line" href="../../dd/d56/class_action_swap_item_to_hands.html#a69596b6cdb1fe2659d1b843a0dcdda63">  170</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d56/class_action_swap_item_to_hands.html#a69596b6cdb1fe2659d1b843a0dcdda63">OnExecuteServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    {</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../dd/d56/class_action_swap_item_to_hands.html#af6f0c8622c1091e72960de72684d5e27">m_Executable</a>)</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer())</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        </div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        <a class="code hl_function" href="../../dd/d56/class_action_swap_item_to_hands.html#a0d4d64af3cd35d9ae6d96c7eaf415cfe">PerformSwap</a>(action_data);</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    </div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno"><a class="line" href="../../dd/d56/class_action_swap_item_to_hands.html#a8fa33b090b55988bf0b0bddfe6230f78">  181</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d56/class_action_swap_item_to_hands.html#a8fa33b090b55988bf0b0bddfe6230f78">OnExecuteClient</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    {</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../dd/d56/class_action_swap_item_to_hands.html#af6f0c8622c1091e72960de72684d5e27">m_Executable</a>)</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        </div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        <a class="code hl_function" href="../../dd/d56/class_action_swap_item_to_hands.html#a0d4d64af3cd35d9ae6d96c7eaf415cfe">PerformSwap</a>(action_data);</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    }</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>    </div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno"><a class="line" href="../../dd/d56/class_action_swap_item_to_hands.html#a3c339a13904575f36aaad1db70245002">  189</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d56/class_action_swap_item_to_hands.html#a3c339a13904575f36aaad1db70245002">OnEndServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>    {</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../dd/d56/class_action_swap_item_to_hands.html#af6f0c8622c1091e72960de72684d5e27">m_Executable</a>)</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        {</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>            <a class="code hl_variable" href="../../dd/d56/class_action_swap_item_to_hands.html#af6f0c8622c1091e72960de72684d5e27">m_Executable</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        }</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        </div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer())</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        </div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        <a class="code hl_function" href="../../dd/d56/class_action_swap_item_to_hands.html#a0d4d64af3cd35d9ae6d96c7eaf415cfe">PerformSwap</a>(action_data);</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>    }</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    </div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno"><a class="line" href="../../dd/d56/class_action_swap_item_to_hands.html#a07ed3f86166adc303f4623e214ecb788">  203</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d56/class_action_swap_item_to_hands.html#a07ed3f86166adc303f4623e214ecb788">OnEndClient</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>    {</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../dd/d56/class_action_swap_item_to_hands.html#af6f0c8622c1091e72960de72684d5e27">m_Executable</a>)</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        {</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>            <a class="code hl_variable" href="../../dd/d56/class_action_swap_item_to_hands.html#af6f0c8622c1091e72960de72684d5e27">m_Executable</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>        }</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        </div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        <a class="code hl_function" href="../../dd/d56/class_action_swap_item_to_hands.html#a0d4d64af3cd35d9ae6d96c7eaf415cfe">PerformSwap</a>(action_data);</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>    }</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>    </div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno"><a class="line" href="../../dd/d56/class_action_swap_item_to_hands.html#a0d4d64af3cd35d9ae6d96c7eaf415cfe">  214</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d56/class_action_swap_item_to_hands.html#a0d4d64af3cd35d9ae6d96c7eaf415cfe">PerformSwap</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>    {</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> ntarget = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject());</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>        <span class="keywordflow">if</span> (action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>)</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>        {</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>            <a class="code hl_enumeration" href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c.html#a5073c77c5d68882860f688a9fc4cba4d">InventoryMode</a> invMode = <a class="code hl_enumeration" href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c.html#a5073c77c5d68882860f688a9fc4cba4d">InventoryMode</a>.PREDICTIVE;</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>            <span class="keywordflow">if</span> (action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.NeedInventoryJunctureFromServer(ntarget, ntarget.GetHierarchyParent(), action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>))</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>                invMode = <a class="code hl_enumeration" href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c.html#a5073c77c5d68882860f688a9fc4cba4d">InventoryMode</a>.JUNCTURE;</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>            </div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.TakeEntityToHandsImpl(invMode, ntarget);</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        }</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>    }</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>}</div>
<div class="ttc" id="a3___game_2_systems_2_inventory_2_inventory_8c_html_a4e843c45fe1055bb1d71b0d70b34168e"><div class="ttname"><a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c.html#a4e843c45fe1055bb1d71b0d70b34168e">ClearInventoryReservationEx</a></div><div class="ttdeci">bool ClearInventoryReservationEx(EntityAI item, InventoryLocation dst)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c_source.html#l00677">Inventory.c:677</a></div></div>
<div class="ttc" id="a3___game_2_systems_2_inventory_2_inventory_8c_html_a5073c77c5d68882860f688a9fc4cba4d"><div class="ttname"><a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c.html#a5073c77c5d68882860f688a9fc4cba4d">InventoryMode</a></div><div class="ttdeci">InventoryMode</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c_source.html#l00019">Inventory.c:20</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_item_base_8c_html_a0724b1d75ad2e1994923111d10bb63cd"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a0724b1d75ad2e1994923111d10bb63cd">IsHeavyBehaviour</a></div><div class="ttdeci">override bool IsHeavyBehaviour()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l09033">ItemBase.c:9033</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html">ActionBaseCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00001">AnimatedActionBase.c:2</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_a7d0aa081595a793f6f58696fadf203a7"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#a7d0aa081595a793f6f58696fadf203a7">ActionBaseCB::InitActionComponent</a></div><div class="ttdeci">void InitActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00058">AnimatedActionBase.c:58</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_affb08096d736d3aa9ea188f07a22df39"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#affb08096d736d3aa9ea188f07a22df39">ActionBaseCB::SetActionData</a></div><div class="ttdeci">void SetActionData(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00091">AnimatedActionBase.c:91</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a3670327f6d411b07d3006af36d24510d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a3670327f6d411b07d3006af36d24510d">ActionData::m_Callback</a></div><div class="ttdeci">ActionBaseCB m_Callback</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00029">ActionBase.c:29</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_action_interact_base_html"><div class="ttname"><a href="../../d0/d5b/class_action_interact_base.html">ActionInteractBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00054">ActionInteractBase.c:55</a></div></div>
<div class="ttc" id="aclass_action_swap_item_to_hands_html"><div class="ttname"><a href="../../dd/d56/class_action_swap_item_to_hands.html">ActionSwapItemToHands</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00108">ActionTakeItemToHands.c:109</a></div></div>
<div class="ttc" id="aclass_action_swap_item_to_hands_html_a07ed3f86166adc303f4623e214ecb788"><div class="ttname"><a href="../../dd/d56/class_action_swap_item_to_hands.html#a07ed3f86166adc303f4623e214ecb788">ActionSwapItemToHands::OnEndClient</a></div><div class="ttdeci">override void OnEndClient(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00203">ActionTakeItemToHands.c:203</a></div></div>
<div class="ttc" id="aclass_action_swap_item_to_hands_html_a0d4d64af3cd35d9ae6d96c7eaf415cfe"><div class="ttname"><a href="../../dd/d56/class_action_swap_item_to_hands.html#a0d4d64af3cd35d9ae6d96c7eaf415cfe">ActionSwapItemToHands::PerformSwap</a></div><div class="ttdeci">void PerformSwap(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00214">ActionTakeItemToHands.c:214</a></div></div>
<div class="ttc" id="aclass_action_swap_item_to_hands_html_a3c339a13904575f36aaad1db70245002"><div class="ttname"><a href="../../dd/d56/class_action_swap_item_to_hands.html#a3c339a13904575f36aaad1db70245002">ActionSwapItemToHands::OnEndServer</a></div><div class="ttdeci">override void OnEndServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00189">ActionTakeItemToHands.c:189</a></div></div>
<div class="ttc" id="aclass_action_swap_item_to_hands_html_a69596b6cdb1fe2659d1b843a0dcdda63"><div class="ttname"><a href="../../dd/d56/class_action_swap_item_to_hands.html#a69596b6cdb1fe2659d1b843a0dcdda63">ActionSwapItemToHands::OnExecuteServer</a></div><div class="ttdeci">override void OnExecuteServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00170">ActionTakeItemToHands.c:170</a></div></div>
<div class="ttc" id="aclass_action_swap_item_to_hands_html_a6e0adacfc26b973b7f9e0636a7fe89c7"><div class="ttname"><a href="../../dd/d56/class_action_swap_item_to_hands.html#a6e0adacfc26b973b7f9e0636a7fe89c7">ActionSwapItemToHands::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00112">ActionTakeItemToHands.c:112</a></div></div>
<div class="ttc" id="aclass_action_swap_item_to_hands_html_a8fa33b090b55988bf0b0bddfe6230f78"><div class="ttname"><a href="../../dd/d56/class_action_swap_item_to_hands.html#a8fa33b090b55988bf0b0bddfe6230f78">ActionSwapItemToHands::OnExecuteClient</a></div><div class="ttdeci">override void OnExecuteClient(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00181">ActionTakeItemToHands.c:181</a></div></div>
<div class="ttc" id="aclass_action_swap_item_to_hands_html_a92ad0a809b49be711b380bbad096ff34"><div class="ttname"><a href="../../dd/d56/class_action_swap_item_to_hands.html#a92ad0a809b49be711b380bbad096ff34">ActionSwapItemToHands::MainItemAlwaysInHands</a></div><div class="ttdeci">override bool MainItemAlwaysInHands()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00126">ActionTakeItemToHands.c:126</a></div></div>
<div class="ttc" id="aclass_action_swap_item_to_hands_html_ad4a48af671751e7889bac412280fa37d"><div class="ttname"><a href="../../dd/d56/class_action_swap_item_to_hands.html#ad4a48af671751e7889bac412280fa37d">ActionSwapItemToHands::UseMainItem</a></div><div class="ttdeci">override bool UseMainItem()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00121">ActionTakeItemToHands.c:121</a></div></div>
<div class="ttc" id="aclass_action_swap_item_to_hands_html_ad4c797bf2596fa25d63c17101e1218d7"><div class="ttname"><a href="../../dd/d56/class_action_swap_item_to_hands.html#ad4c797bf2596fa25d63c17101e1218d7">ActionSwapItemToHands::CreateAndSetupActionCallback</a></div><div class="ttdeci">override void CreateAndSetupActionCallback(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00131">ActionTakeItemToHands.c:131</a></div></div>
<div class="ttc" id="aclass_action_swap_item_to_hands_html_ad5b1fc49569a59bd101487391290a59c"><div class="ttname"><a href="../../dd/d56/class_action_swap_item_to_hands.html#ad5b1fc49569a59bd101487391290a59c">ActionSwapItemToHands::Start</a></div><div class="ttdeci">override void Start(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00151">ActionTakeItemToHands.c:151</a></div></div>
<div class="ttc" id="aclass_action_swap_item_to_hands_html_af6f0c8622c1091e72960de72684d5e27"><div class="ttname"><a href="../../dd/d56/class_action_swap_item_to_hands.html#af6f0c8622c1091e72960de72684d5e27">ActionSwapItemToHands::m_Executable</a></div><div class="ttdeci">bool m_Executable</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00110">ActionTakeItemToHands.c:110</a></div></div>
<div class="ttc" id="aclass_action_take_item_to_hands_html"><div class="ttname"><a href="../../d1/d07/class_action_take_item_to_hands.html">ActionTakeItemToHands</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00001">ActionTakeItemToHands.c:2</a></div></div>
<div class="ttc" id="aclass_action_take_item_to_hands_html_a3951e5d243b930961c8d19cf950a5674"><div class="ttname"><a href="../../d1/d07/class_action_take_item_to_hands.html#a3951e5d243b930961c8d19cf950a5674">ActionTakeItemToHands::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00010">ActionTakeItemToHands.c:10</a></div></div>
<div class="ttc" id="aclass_action_take_item_to_hands_html_a3f985517d8c0bb96d39746557ddf2277"><div class="ttname"><a href="../../d1/d07/class_action_take_item_to_hands.html#a3f985517d8c0bb96d39746557ddf2277">ActionTakeItemToHands::CanBeUsedOnBack</a></div><div class="ttdeci">override bool CanBeUsedOnBack()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00102">ActionTakeItemToHands.c:102</a></div></div>
<div class="ttc" id="aclass_action_take_item_to_hands_html_a47ec027b9890a092c2ed2acf60df471d"><div class="ttname"><a href="../../d1/d07/class_action_take_item_to_hands.html#a47ec027b9890a092c2ed2acf60df471d">ActionTakeItemToHands::HasProneException</a></div><div class="ttdeci">override bool HasProneException()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00016">ActionTakeItemToHands.c:16</a></div></div>
<div class="ttc" id="aclass_action_take_item_to_hands_html_a6777b74aba53847addc3116cecef7fc3"><div class="ttname"><a href="../../d1/d07/class_action_take_item_to_hands.html#a6777b74aba53847addc3116cecef7fc3">ActionTakeItemToHands::GetInputType</a></div><div class="ttdeci">override GetInputType()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00021">ActionTakeItemToHands.c:21</a></div></div>
<div class="ttc" id="aclass_action_take_item_to_hands_html_a7ed6cad3ab49528b8b7bca39dbe29ef9"><div class="ttname"><a href="../../d1/d07/class_action_take_item_to_hands.html#a7ed6cad3ab49528b8b7bca39dbe29ef9">ActionTakeItemToHands::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00031">ActionTakeItemToHands.c:31</a></div></div>
<div class="ttc" id="aclass_action_take_item_to_hands_html_aa7019dec76eaf66fce6c0c6690e9b35e"><div class="ttname"><a href="../../d1/d07/class_action_take_item_to_hands.html#aa7019dec76eaf66fce6c0c6690e9b35e">ActionTakeItemToHands::CanContinue</a></div><div class="ttdeci">override bool CanContinue(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00043">ActionTakeItemToHands.c:43</a></div></div>
<div class="ttc" id="aclass_action_take_item_to_hands_html_ad4177dd4e52dbe5a7179cec53a5b3e52"><div class="ttname"><a href="../../d1/d07/class_action_take_item_to_hands.html#ad4177dd4e52dbe5a7179cec53a5b3e52">ActionTakeItemToHands::OnExecute</a></div><div class="ttdeci">override void OnExecute(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00048">ActionTakeItemToHands.c:48</a></div></div>
<div class="ttc" id="aclass_action_take_item_to_hands_html_ad65ad5298f338196f557ba3d060949f8"><div class="ttname"><a href="../../d1/d07/class_action_take_item_to_hands.html#ad65ad5298f338196f557ba3d060949f8">ActionTakeItemToHands::ActionTakeItemToHands</a></div><div class="ttdeci">void ActionTakeItemToHands()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00003">ActionTakeItemToHands.c:3</a></div></div>
<div class="ttc" id="aclass_action_take_item_to_hands_html_ad7afefb6034a0a65abefb4e0cfc2a83b"><div class="ttname"><a href="../../d1/d07/class_action_take_item_to_hands.html#ad7afefb6034a0a65abefb4e0cfc2a83b">ActionTakeItemToHands::HasProgress</a></div><div class="ttdeci">override bool HasProgress()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00026">ActionTakeItemToHands.c:26</a></div></div>
<div class="ttc" id="aclass_action_take_item_to_hands_html_aeb55678ac6274d7893373d68a36de290"><div class="ttname"><a href="../../d1/d07/class_action_take_item_to_hands.html#aeb55678ac6274d7893373d68a36de290">ActionTakeItemToHands::CreateAndSetupActionCallback</a></div><div class="ttdeci">override void CreateAndSetupActionCallback(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/_action_take_item_to_hands_8c_source.html#l00070">ActionTakeItemToHands.c:70</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a4d3d8e3324bd0f45c2283e7993740161"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a4d3d8e3324bd0f45c2283e7993740161">AnimatedActionBase::GetCallbackClassTypename</a></div><div class="ttdeci">protected GetCallbackClassTypename()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00238">AnimatedActionBase.c:238</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_aff0b345c6a0a8469dfb7bc27365a11bd"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#aff0b345c6a0a8469dfb7bc27365a11bd">AnimatedActionBase::m_CommandUIDProne</a></div><div class="ttdeci">protected int m_CommandUIDProne</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00126">AnimatedActionBase.c:126</a></div></div>
<div class="ttc" id="aclass_base_building_base_html"><div class="ttname"><a href="../../dd/d90/class_base_building_base.html">BaseBuildingBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0c/_fence_8c_source.html#l00001">Fence.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_i_none_html"><div class="ttname"><a href="../../d4/d7c/class_c_c_i_none.html">CCINone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_c_c_i_none_8c_source.html#l00001">CCINone.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_object_html"><div class="ttname"><a href="../../da/da5/class_c_c_t_object.html">CCTObject</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d88/_c_c_t_object_8c_source.html#l00001">CCTObject.c:2</a></div></div>
<div class="ttc" id="aclass_continuous_interact_action_input_html"><div class="ttname"><a href="../../dd/d7f/class_continuous_interact_action_input.html">ContinuousInteractActionInput</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df5/_action_input_8c_source.html#l00521">ActionInput.c:522</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_inventory_location_html"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a></div><div class="ttdoc">InventoryLocation.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_inventory_location_8c_source.html#l00027">InventoryLocation.c:28</a></div></div>
<div class="ttc" id="aclass_inventory_location_html_af5b971f773deb968c54cfb6ca66df780"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html#af5b971f773deb968c54cfb6ca66df780">InventoryLocation::SetHands</a></div><div class="ttdeci">proto native void SetHands(notnull EntityAI parent, EntityAI e)</div><div class="ttdoc">sets current inventory location type to Hands</div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_item_base_html_a8e5514abc697470b14e82092d358a01a"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a8e5514abc697470b14e82092d358a01a">ItemBase::CanDetachAttachment</a></div><div class="ttdeci">override bool CanDetachAttachment(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d29/_garden_lime_8c_source.html#l00042">GardenLime.c:42</a></div></div>
<div class="ttc" id="aclass_item_base_html_ac305409027fa3bf997cd284f72994962"><div class="ttname"><a href="../../de/d7a/class_item_base.html#ac305409027fa3bf997cd284f72994962">ItemBase::IsTakeable</a></div><div class="ttdeci">override bool IsTakeable()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/ddd/_trap_spawn_base_8c_source.html#l00181">TrapSpawnBase.c:181</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_aef260d89bc0f791bc7c313cae73f8450"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances::DEFAULT</a></div><div class="ttdeci">const float DEFAULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00104">ActionConstants.c:104</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_db22a6aaa1333ce39e022321034f28d1.html">Interact</a></li><li class="navelem"><a class="el" href="../../df/dbb/_action_take_item_to_hands_8c.html">ActionTakeItemToHands.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
